import { CfnTrigger } from 'aws-cdk-lib/aws-glue';
import { IConstruct } from 'constructs';
import { ICrawler, ITriggerPredicate } from '../..';
import { WorkflowPredicateBase, PredicateLogicalOperator, WorkflowPredicateOptions } from './predicate-base';
export declare enum CrawlerState {
    CANCELLED = "CANCELLED",
    FAILED = "FAILED",
    SUCCEEDED = "SUCCEEDED"
}
export interface WorkflowCrawlerPredicateOptions extends WorkflowPredicateOptions {
    readonly logicalOperator: PredicateLogicalOperator;
    readonly state?: CrawlerState;
}
export declare class WorkflowCrawlerPredicate extends WorkflowPredicateBase implements ITriggerPredicate {
    readonly crawler: ICrawler;
    readonly logicalOperator: PredicateLogicalOperator;
    readonly state: CrawlerState;
    constructor(crawler: ICrawler, options?: WorkflowCrawlerPredicateOptions);
    bind(scope: IConstruct): CfnTrigger.ConditionProperty;
}
